# Import a multisig account

POST

/v1/multisig/import

Generates a multisig account from the passed public keys array and multisig metadata, and stores all of this in the wallet.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume application/json

APIV1POSTMultisigImportRequest is the request for `POST /v1/multisig/import`

object

**multisig_version**  
integer format: uint8

**pks**  
Array<Array<integer>>

**threshold**  
integer format: uint8

**wallet_handle_token**  
string

## Responses

### 200

Response to `POST /v1/multisig/import`

The list of MIME types the operation can produce application/json

APIV1POSTMultisigImportResponse is the response to `POST /v1/multisig/import`  
friendly: ImportMultisigResponse

object

**address**  
string

**error**  
boolean

**message**  
string
